Package com.orchestranetworks.service.comparison

# Interface DifferenceBetweenInstances

All Superinterfaces:
  `Difference`, `DifferenceBetweenContents`

public interface DifferenceBetweenInstances extends DifferenceBetweenContents
Represents the difference between two datasets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Adaptation`
  `getContentOnLeft()`
  Returns the content on the left side.
  `Adaptation`
  `getContentOnRight()`
  Returns the content on the right side.
  `DifferenceBetweenTables`
  `getDeltaTable(Path tablePath)`
  `List<DifferenceBetweenTables>`
  `getDeltaTables()`
  Returns all table differences.
  `int`
  `getDeltaTablesSize()`
  Returns the total number of tables with differences.
  `Adaptation`
  `getInstanceOnLeft()`
  Returns the dataset on the left.
  `Adaptation`
  `getInstanceOnRight()`
  Returns the dataset on the right.
  `AdaptationName`
  `getInstanceOnRightName()`
  `NodeDifference`
  `getNodeDifferenceOnTargetChangeSet(NodeDifference nodeDifferenceOnSource, DifferenceBetweenHomes targetChangeSet)`
  `boolean`
  `isEmpty()`
  Returns `true` if there are no differences.
  `String`
  `toString()`

  ### Methods inherited from interface com.orchestranetworks.service.comparison.Difference

  `isResolvedMode`

  ### Methods inherited from interface com.orchestranetworks.service.comparison.DifferenceBetweenContents

  `collectNodeDifferences, getNodeDifference, getNodeDifferences, getNodeDifferencesSize`

- ## Method Details

  - ### getInstanceOnLeft

    Adaptation getInstanceOnLeft()
    Returns the dataset on the left.

  - ### getInstanceOnRight

    Adaptation getInstanceOnRight()
    Returns the dataset on the right.

  - ### getInstanceOnRightName

    AdaptationName getInstanceOnRightName()

  - ### getContentOnLeft

    Adaptation getContentOnLeft()
    Description copied from interface: `DifferenceBetweenContents`
    Returns the content on the left side.
    Specified by:
      `getContentOnLeft` in interface `DifferenceBetweenContents`

  - ### getContentOnRight

    Adaptation getContentOnRight()
    Description copied from interface: `DifferenceBetweenContents`
    Returns the content on the right side.
    Specified by:
      `getContentOnRight` in interface `DifferenceBetweenContents`

  - ### getDeltaTables

    List<DifferenceBetweenTables> getDeltaTables()
    Returns all table differences.
    Returns:
      a `List` of `DifferenceBetweenTables`.

  - ### getDeltaTablesSize

    int getDeltaTablesSize()
    Returns the total number of tables with differences.

  - ### getDeltaTable

    DifferenceBetweenTables getDeltaTable(Path tablePath)

  - ### toString

    String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    boolean isEmpty()
    Description copied from interface: `Difference`
    Returns `true` if there are no differences.
    Specified by:
      `isEmpty` in interface `Difference`
    Specified by:
      `isEmpty` in interface `DifferenceBetweenContents`

  - ### getNodeDifferenceOnTargetChangeSet

    NodeDifference getNodeDifferenceOnTargetChangeSet(NodeDifference nodeDifferenceOnSource, DifferenceBetweenHomes targetChangeSet)
    Specified by:
      `getNodeDifferenceOnTargetChangeSet` in interface `DifferenceBetweenContents`